
## A script to run javadoc (Anthony Sept 2004).

year="2006"   # year
ver="v4.0"    # version number

dir=./source  # source directory that contains Java files
doc=./doc     # output directory

# Only creates GridSim javadoc.
javadoc -author -version -package -noqualifier java.* \
    -windowtitle 'GridSim '$ver' API Specification' \
    -doctitle '<b>GridSim</b> '$ver' API Specification' \
    -header '<b>GridSim</b><br><font size='-1'>'$ver'</font>' \
    -bottom 'The University of Melbourne, Australia, '$year \
    -d $doc -breakiterator \
    -tag pre:a:"Pre Condition:" \
    -tag post:a:"Post Condition:" \
    -tag invariant:t:"Invariant:" \
    $dir/gridsim/*.java \
    $dir/gridsim/util/*.java \
    $dir/gridsim/net/*.java \
    $dir/gridsim/filter/*.java \
    $dir/gridsim/index/*.java \
    $dir/gridsim/auction/*.java \
    $dir/gridsim/datagrid/*.java \
    $dir/gridsim/datagrid/filter/*.java \
    $dir/gridsim/datagrid/index/*.java \
    $dir/gridsim/datagrid/storage/*.java 

echo "javadoc is done ...."

